package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF061Response {

    @Parameter(name = "AAAdresat")
    String aAAdresat();

    @Parameter(name = "AACO")
    String aaco();

    @Parameter(name = "AACP")
    String aacp();

    @Parameter(name = "AACtvrt")
    String aACtvrt();

    @Parameter(name = "AAObec")
    String aAObec();

    @Parameter(name = "AAPSC")
    String aapsc();

    @Parameter(name = "AAPosta")
    String aAPosta();

    @Parameter(name = "AAUlice")
    String aAUlice();

    @Parameter(name = "AAZeme")
    String aAZeme();

    @Parameter(name = "AktualniCerpanaJistina")
    Double aktualniCerpanaJistina();

    @Parameter(name = "BlokaceNeprioritni_Datum")
    java.util.Date blokaceNeprioritniDatum();

    @Parameter(name = "BlokaceNeprioritni_Kod")
    String blokaceNeprioritniKod();

    @Parameter(name = "BlokacePrioritni_Datum")
    java.util.Date blokacePrioritniDatum();

    @Parameter(name = "BlokacePrioritni_Kod")
    String blokacePrioritniKod();

    @Parameter(name = "CelkemCastkaPoSplatnosti")
    Double celkemCastkaPoSplatnosti();

    @Parameter(name = "CelkovaDluznaCastka")
    Double celkovaDluznaCastka();

    @Parameter(name = "CelkovyPocetSplatek")
    Long celkovyPocetSplatek();

    @Parameter(name = "CisloBU")
    String cisloBU();

    @Parameter(name = "DatumCerpani")
    java.util.Date datumCerpani();

    @Parameter(name = "DatumNasledujiciSplatky")
    java.util.Date datumNasledujiciSplatky();

    @Parameter(name = "DatumNasledujiciSplatkyPoplatku")
    java.util.Date datumNasledujiciSplatkyPoplatku();

    @Parameter(name = "DatumOtevreni")
    java.util.Date datumOtevreni();

    @Parameter(name = "DatumPojisteni")
    java.util.Date datumPojisteni();

    @Parameter(name = "DatumPosledniSplatky")
    java.util.Date datumPosledniSplatky();

    @Parameter(name = "DatumPrvniNazaplaceneSplatky")
    java.util.Date datumPrvniNazaplaceneSplatky();

    @Parameter(name = "DatumPrvniPoSplatnosti")
    java.util.Date datumPrvniPoSplatnosti();

    @Parameter(name = "DatumPrvniSplatky")
    java.util.Date datumPrvniSplatky();

    @Parameter(name = "DatumRevize")
    java.util.Date datumRevize();

    @Parameter(name = "DenSplatky")
    Long denSplatky();

    @Parameter(name = "DisponibilniKCerpani")
    Double disponibilniKCerpani();

    @Parameter(name = "DistribuceVypisu")
    String distribuceVypisu();

    @Parameter(name = "DruheJmeno")
    String druheJmeno();

    @Parameter(name = "Jmeno")
    String jmeno();

    @Parameter(name = "MesicniSplatka")
    Double mesicniSplatka();

    @Parameter(name = "ObchodniMistoKod")
    String obchodniMistoKod();

    @Parameter(name = "ObchodniMistoNazev")
    String obchodniMistoNazev();

    @Parameter(name = "ObjektUveru")
    String objektUveru();

    @Parameter(name = "PausalniPolatek")
    Double pausalniPolatek();

    @Parameter(name = "PausalniPoplatekPerioda")
    String pausalniPoplatekPerioda();

    @Parameter(name = "Pausalni_poplatekFrekvence")
    String pausalniPoplatekFrekvence();

    @Parameter(name = "PocetDniPoSplatnosti")
    Long pocetDniPoSplatnosti();

    @Parameter(name = "Pojisteni")
    String pojisteni();

    @Parameter(name = "PoplatekPojisteni")
    Double poplatekPojisteni();

    @Parameter(name = "PoplatekPojisteniAktivni")
    String poplatekPojisteniAktivni();

    @Parameter(name = "PoplatekPojisteniCislo")
    String poplatekPojisteniCislo();

    @Parameter(name = "PoplatekStanovenYN")
    String poplatekStanovenYN();

    @Parameter(name = "PoplatekZaVypis")
    Double poplatekZaVypis();

    @Parameter(name = "PouzitaAA")
    String pouzitaAA();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "PristupitelRC")
    String pristupitelRC();

    @Parameter(name = "PriznakOdepsanehoUveru")
    String priznakOdepsanehoUveru();

    @Parameter(name = "ProduktKod")
    String produktKod();

    @Parameter(name = "SplatkaUrok")
    Double splatkaUrok();

    @Parameter(name = "SplatnyFlexikredit")
    String splatnyFlexikredit();

    @Parameter(name = "StavUctu")
    String stavUctu();

    @Parameter(name = "SumaNezauctovanychTRNKarta")
    Double sumaNezauctovanychTRNKarta();

    @Parameter(name = "TitulPred")
    String titulPred();

    @Parameter(name = "TitulZa")
    String titulZa();

    @Parameter(name = "UrokovaSazba")
    Double urokovaSazba();

    @Parameter(name = "VyseUveru")
    Double vyseUveru();

    @Parameter(name = "ZbyvaSplatitCelkem")
    Double zbyvaSplatitCelkem();

    @Parameter(name = "ZbyvaSplatitJistina")
    Double zbyvaSplatitJistina();

    @Parameter(name = "ZbyvaSplatitSplatek")
    Long zbyvaSplatitSplatek();

    @Parameter(name = "ZbyvaSplatitUrok")
    Double zbyvaSplatitUrok();

    @Parameter(name = "ZesplatnenoAnoNe")
    String zesplatnenoAnoNe();

}